<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE item SYSTEM "http://www.c3d2.de/dtd/c3d2web.dtd">
<?xml-stylesheet type="text/xsl" href="../../xsl/html.xsl" ?>
<item title="TA: UNIX - Facetten eines OS" date="2004-09-16T19:00:00" author="riot">
  <event>
    <start>2004-09-16T19:00:00</start>
    <location>Pentacon, Schandauer Straße 64</location>
  </event>
<p>Mit kleinen Vorträgen wollen wir die Vielfalt einer Betriebssystemfamilie darstellen, deren Wurzeln bis tief in die
    70'er Jahre zurück gehen. Dabei werden wir besonders auf die Spezialitäten der modernen Unix-Varianten eingehen.</p>
<p>Im "Unix-Streichelzoo" werden außerdem ein paar Unix-Workstations verschiedener Hersteller zur Ansicht und zum
   Ausprobieren bereit stehen. Wir werden versuchen alle Fragen so gut es geht zu beantworten und die Besonderheiten
   zu erklären</p>
<addendum>
    <ul>
        <li>Teil 1: Einführungsvortrag zur Geschichte von Unix
            <p>Vortragender: Heiko Schlittermann</p>
            <ul>
                <li>Unix-Historie</li>
                <li>Allgemeines Konzept</li>
            </ul>
            <p>(Zeitrahmen: 15 Minuten)</p>

        <ol>
        <li>GNU/Linux
            <p>Vortragender: Jens Weiße</p>
            <ul>
                <li>Geschichte (Linus Torvalds, 1991, warum entwickelt)</li>
                <li>Lizenzfragen und Systemutilities (GNU statt BSD; geänderte Optionen, Syntax)</li>
                <li>Bootkonzept (InitV mit runleveln statt ....; kein Secure Level)</li>
                <li>vermutlich beste Unterstützung aktueller Hardware aktueller Stand (Mikrocontroller bis
                    Großrechner / MainFrame / Supercluster)</li>
                <li>Links
                    <p><link href="http://www.kernel.org/">http://www.kernel.org/</link></p>
                    <p><link href="http://www.debian.org">http://www.debian.org</link></p>
                </li>
            </ul>
                <p>(Zeitrahmen: etwa 20 Minuten)</p>
        </li>
        <li>Die_Geschichte_von_BSD
            <p>Vortrag: Jörg Wunsch</p>
            <ul>
                <li>Allgemeiner geschichtlicher Abriss zu den BSD-Systemen</li>
                <li>Historische Anfänge PDP-11 Systeme (BSD, 2BSD)</li>
                <li>Vax Systeme (3BSD, 4BSD, TCP/IP, ...)</li>
                <li>BSD wird Opensource (NET 1, NET 2, 386BSD)</li>
                <li>Kommerzielle Ableger von BSD</li>
                <li>Der AT&amp;T Rechtsstreit</li>
            </ul>
            <p>(Zeitrahmen: 15 Minuten)</p>
        </li>
        <li>NetBSD
            <p>Vortragender: Matthias Petermann</p>
            <ul>
                <li>Geschichte - von 386BSD zu NetBSD</li>
                <li>Die BSD-Lizenz</li>
                <li>Projektstruktur</li>
                <li>Eigenschaften von NetBSD</li>
                <li>Unterstützte Hardwareplattformen</li>
                <li>Die Packages Collection</li>
                <li>Ausgewählte Neuheiten in NetBSD 2.0</li>
            </ul>
            <p>(Zeitrahmen: 20 Minuten)</p>
        </li>
        <li>FreeBSD
            <p>Vortragender: Jörg Wunsch</p>
            <ul>
                <li>....</li>
            </ul>
            <p>(Zeitrahmen: 20 Minuten)</p>
        </li>
        <li>OpenBSD
            <p>Vortragender: Tibor Varkonyi</p>
            <ul>
                <li>Theo de Raadt oder wie alles begann</li>
                <li>Sicherheit per Default?</li>
                <li>integrierte Kryptografie</li>
                <li>Release, Stable oder Current?</li>
                <li>Packet Filter</li>
                <li>Ports und Packages</li>
                <li>Schwachpunkte</li>
            </ul>
            <p>(Zeitrahmen: 20 Minuten)</p>
        </li>
        <li>HP-UX
            <p>Vortragender: Tibor Varkonyi</p>
            <ul>
                <li>Die Geschichte von HP-UX</li>
                <li>Aufbau / Verzeichnisstruktur</li>
                <li>Common Desktop Environment CDE</li>
                <li>Software Distributor SD-UX</li>
                <li>System Administration Manager</li>
            </ul>
            <p>(Zeitrahmen: 10 Minuten)</p>
        </li>
        <li>MacOS X/Darwin/OpenDarwin
            <p>Vortragender: fukami</p>
            <ul>
                <li>Geschichte: Der Weg des MacOS zu Unix</li>
                <li>Philosophie</li>
                <li>Neuigkeiten in Tiger</li>
                <li>Mach-Kernel</li>
                <li>Filesystem HFS+ (Rich Meta Data FS, Ausblick HFS+ in Tiger)</li>
                <li>lookupd und Service-Integration</li>
                <li>Sicherheitskonzepte</li>
                <li>Development unter OSX (XCode, distgcc)</li>
                <li>Package-Systeme</li>
                <li>Rendevous/ZeroConf</li>
            </ul>
            <p>(Zeitrahmen: 20 Minuten)</p>
        </li>
        </ol>
    </li>
    <li>
           <p>Vortragende: Alexander Heidenreich, Stephan Adler</p>
            <p>Viele Eigenschaften von Linux gehen zurück auf Unix und hängen mit den Eigenschaften der ursprünglich
               für Unix designten Hardware zusammen. Deshalb sind viele Eigenschaften von Linux und anderen Unixen
               erst dann richtig zu verstehen, wenn man sich einmal mit der Hardware befasst hat, die ursprünglich
               für Unix entwickelt wurde. Neben der Hardware wird auch auf die typischen Einsatzgebiete eingegangen.</p>
           <ul>
               <li>Hardware, Betriebssystem/Details, Woher?</li>
               <li>HP9000, Debian Linux, Stephan</li>
               <li>Sun Sparc Classi, OpenBSD, Alexander</li>
               <li>Sun UltraSparc 1, NetBSD, Stephan</li>
               <li>Sun UltraSparc 30, Solaris 9, Alexander</li>
               <li>SGI Indigo2, Irix 6.5, Alexander</li>
               <li>SGI Personel Irix, Irix ??, Alexander</li>
               <li>IBM RS6000, AIX, Alexander</li>
               <li>Sun Enterprise 450, FreeBSD 5.3-BETA3, Jörg / Matthias</li>
               <li>(eventuell) historischer PC in "offener" Bauform, ESIX SVR3.2, Jörg</li>
               <li>Bull Questar 303, Serielles (RS232) Terminal mit 14" B/W-CRT, Matthias</li>
               <li>VISA FM8421, 12" B/W-VGA-Monitor, Matthias</li>
           </ul>
    </li>

    </ul>
</addendum>
</item>
